MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023523Open CASCADE[OCCT] OCCT:DRAWpublic2012-11-08 12:112013-10-02 15:51
Reportergka 
Assigned Togka 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023523: In session DRAW it is impossible to close document having name already once closed document.
DescriptionIn the session DRAW document having name already closed document can not be closed.
Steps To ReproduceDraw[4]> ReadStep D1 trj3_d1-tc-214_mod.stp
Document saved with name D1
Draw[5]> Close D1
Draw[6]> ReadStep D1 trj3_d1-tc-214_mod.stp
Document saved with name D1
Draw[7]> Close D1
An exception was caught 008C4010 : Standard_Failure: cannot close a document that has not been opened
** Exception ** 008C4010 : Standard_Failure: cannot close a document that has not been opened
Draw[8]>
TagsNo tags attached.
Test case numberbugs demo (001) bug23523
Attached Filesgz file icon tests-23523.tar.gz (7,332 bytes) 2012-12-11 17:11

- Relationships
related to 0023554closedPawel Community Crash when closing BinXCAF document 
related to 0024007closedRoman Lygin Community [Regression] Sporadic crashes when working with XDE documents 
related to 0024164closedbugmaster Open CASCADE Optimization of OCAF document closing 

-  Notes
(0022150)
gka (developer)
2012-11-08 15:24

Could you please review branch CR23523.
(0022168)
abv (manager)
2012-11-09 11:16

No remarks, please test
(0022214)
mkv (tester)
2012-11-12 17:12

Dear BugMaster,
Branch CR23523 (and master from occt GIT master) was compiled on Linux and Windows platforms and tested.

Regressions:
xml 001 B2
xml 002 B2
xml 003 L1

caf named_shape (002) E1-E9, F1-F7

Improvements:
Not detected

Testing cases:
bugs demo(001) bug23523 - OK.

See results in /QADisk/occttests/results/KAS/dev/CR23523-master-products_09112012
See reference results in /QADisk/occttests/results/KAS/dev/CR-2012-10-12-IR-2012-10-12-products
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0022559)
gka (developer)
2012-12-05 10:53

Branch CR23523 is ready to be reviewed.
(0022576)
abv (manager)
2012-12-05 21:01

Reviewed; minor correction (revert changes made for debug, messages correction) is pushed to CR23523. Please test
(0022607)
mkv (tester)
2012-12-07 10:36
edited on: 2012-12-07 10:38

Dear BugMaster,
Branch CR23523 (and products from GIT master) was compiled on Linux and
Windows platforms.

There are compilation errors on Linux:

../../../src/ViewerTest/ViewerTest.cxx:348: error: prototype for 'const Handle_V3d_View& ViewerTest::CurrentView()' does not match any in class 'ViewerTest'
../../../inc/ViewerTest.hxx:144: error: candidates are: static void ViewerTest::CurrentView(const Handle_V3d_View&)
../../../inc/ViewerTest.hxx:142: error: static Handle_V3d_View ViewerTest::CurrentView()
../../../src/ViewerTest/ViewerTest.cxx:367: error: prototype for 'const Handle_AIS_InteractiveContext& ViewerTest::GetAISContext()' does not match any in class 'ViewerTest'
../../../inc/ViewerTest.hxx:134: error: candidate is: static Handle_AIS_InteractiveContext ViewerTest::GetAISContext()

(0022608)
gka (developer)
2012-12-07 10:37

Tests :
xml 001 B2
xml 002 B2
xml 003 L1

are invalid and should be corrected.
This test use label from already closed document.
(0022611)
gka (developer)
2012-12-07 11:20

Added ViewerTest.cdl to avoid compilation errors
(0022612)
gka (developer)
2012-12-07 11:21

Branch CR23523 is ready to be tested
(0022613)
gka (developer)
2012-12-07 11:23

Modified tests caf named_shape (002) E1-E9, F1-F7 were added in branch CR23523.
(0022651)
mkv (tester)
2012-12-11 17:12

Dear BugMaster,

Branch CR23523 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
bugs demo(001) bug23523 - OK.

- Related Changesets
occt: master 24de79c3
Timestamp: 2012-12-14 12:17:11
Author: gka
Details ] Diff ]
0023523: In session DRAW it is impossible to close document having name already once closed document.

Added destructor for TDocStd_Document which performs destruction of document in logical order in order to avoid exception when Undo and Redo fields are destructed after THF_Data field.
Added removing name of closed document from tcl variables in the DRAW in order to avoid exception during use the same name for new document.
Modification to avoid compilation error class ViewerTest
Minor correction in test caf basic G3
mod - src/CDM/CDM_Document.cdl Diff ] File ]
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cdl Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cdl Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - tests/bugs/caf/bug23489 Diff ] File ]
mod - tests/caf/basic/G3 Diff ] File ]
mod - tests/caf/bugs/B6 Diff ] File ]
mod - tests/caf/named_shape/E1 Diff ] File ]
mod - tests/caf/named_shape/E2 Diff ] File ]
mod - tests/caf/named_shape/E3 Diff ] File ]
mod - tests/caf/named_shape/E4 Diff ] File ]
mod - tests/caf/named_shape/E5 Diff ] File ]
mod - tests/caf/named_shape/E6 Diff ] File ]
mod - tests/caf/named_shape/E7 Diff ] File ]
mod - tests/caf/named_shape/E8 Diff ] File ]
mod - tests/caf/named_shape/E9 Diff ] File ]
mod - tests/caf/named_shape/F1 Diff ] File ]
mod - tests/caf/named_shape/F2 Diff ] File ]
mod - tests/caf/named_shape/F3 Diff ] File ]
mod - tests/caf/named_shape/F4 Diff ] File ]
mod - tests/caf/named_shape/F5 Diff ] File ]
mod - tests/caf/named_shape/F6 Diff ] File ]
mod - tests/caf/named_shape/F7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-08 12:11 gka New Issue
2012-11-08 12:11 gka Assigned To => gka
2012-11-08 15:24 gka Note Added: 0022150
2012-11-08 15:24 gka Assigned To gka => abv
2012-11-08 15:24 gka Status new => resolved
2012-11-09 11:16 abv Note Added: 0022168
2012-11-09 11:16 abv Assigned To abv => bugmaster
2012-11-09 11:16 abv Status resolved => reviewed
2012-11-09 17:18 mkv Assigned To bugmaster => mkv
2012-11-12 17:12 mkv Note Added: 0022214
2012-11-12 17:13 mkv Test case number => bugs demo (001) bug23523
2012-11-12 17:13 mkv Assigned To mkv => gka
2012-11-12 17:13 mkv Status reviewed => assigned
2012-11-14 18:24 abv Relationship added related to 0023554
2012-12-05 10:53 gka Note Added: 0022559
2012-12-05 10:53 gka Assigned To gka => abv
2012-12-05 10:53 gka Status assigned => resolved
2012-12-05 21:01 abv Note Added: 0022576
2012-12-05 21:01 abv Assigned To abv => bugmaster
2012-12-05 21:01 abv Status resolved => reviewed
2012-12-06 20:20 mkv Assigned To bugmaster => mkv
2012-12-07 10:36 mkv Note Added: 0022607
2012-12-07 10:37 gka Note Added: 0022608
2012-12-07 10:37 mkv Assigned To mkv => gka
2012-12-07 10:37 mkv Status reviewed => assigned
2012-12-07 10:38 mkv Note Edited: 0022607 View Revisions
2012-12-07 11:20 gka Note Added: 0022611
2012-12-07 11:20 gka Status assigned => resolved
2012-12-07 11:21 gka Note Added: 0022612
2012-12-07 11:21 gka Status resolved => reviewed
2012-12-07 11:23 gka Note Added: 0022613
2012-12-07 18:08 mkv Assigned To gka => mkv
2012-12-11 17:11 mkv File Added: tests-23523.tar.gz
2012-12-11 17:12 mkv Note Added: 0022651
2012-12-11 17:12 mkv Assigned To mkv => bugmaster
2012-12-11 17:12 mkv Status reviewed => tested
2012-12-18 10:45 gka Changeset attached => occt master 24de79c3
2012-12-18 10:45 gka Assigned To bugmaster => gka
2012-12-18 10:45 gka Status tested => verified
2012-12-18 10:45 gka Resolution open => fixed
2013-04-23 13:36 aiv Status verified => closed
2013-04-29 15:21 aiv Fixed in Version => 6.6.0
2013-06-02 12:18 Roman Lygin Relationship added related to 0024007
2013-10-02 15:51 abv Relationship added related to 0024164


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker